Subject: Re: use of fsl, in lite5200b.dts in git current

From: Scott Wood <[email-masked]>
Date: Thu, 08 Nov 2007 14:56:24 -0600

Jon Smirl wrote:
> On 11/8/07, Scott Wood <[email-masked]> wrote:
>> Jon Smirl wrote:
>>> No one has answered this yet. It makes no sense at all to mix use of
>>> the vendor prefix on some compatible entries and not on others. The
>>> syntax of compatible entries needs to be consistent.
>> Right, the vendor prefix should always be used.  Not all of the existing
>> trees are perfect, however, so sometimes the code needs to stay
>> compatible, especially when the device tree is difficult to change.
> 
> A bunch of patches are going to have to go into the kernel. Code
> expecting tree attributes without vendor prefixes is all over the
> kernel.

It's just nonstandard properties that need it, not all of them.

> All of the dts file need to be patched up, etc.

I don't think *all* the dts files have problems...

> As far as I know the only dts using vendor prefixes in the compatible
> attributes is 5200lite one for the gpt entries. Everything else will
> need to be changed.

Look a little harder.  Many of the Freescale boards/devices do it right 
-- and yes, we need to fix the ones that don't.

-Scott